Bug 206186 - Cannot specify size of disk image when inputting file name manually
Summary: Cannot specify size of disk image when inputting file name manually
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-12 19:18 UTC by Jesse Keating
Modified: 2013-01-10 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 15:48:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2006-09-12 19:18:35 UTC
When specifying a disk image file, one cannot specify the size unless one
browses and inputs a new file name in the browser.  THEN the size selector
becomes unlocked.  One cannot just type in a new file name and select size.

Comment 1 Daniel Berrange 2006-09-12 23:19:10 UTC
The code for managing the widget validation/events here was badly messed up,
will fix up to listen for & process change events on the filename text field too.


Comment 2 William Sheehan 2006-09-19 00:31:02 UTC
In addition to the behavior detailed in the original bug report, I also noticed
that after the filesize selector is active, it stays active no matter which
radio button is selected.

Steps to reproduce:

1) Select "Simple File" radio button and click "Browse..."
2) Enter any new file and click "Open".  Note that the File Size selector is now
active.
3) Select the "Normal Disk Partition" radio button.  The File Size selector
remains enabled even though it is not relevant to the current radio button.

Comment 3 Daniel Berrange 2006-09-19 16:15:23 UTC
The bug in comment #1 is fixed in rawhide with  virt-manager-0.2.2-1.fc6

The bug in comment #3 is not yet fixed.

Please, please, please only *ONE* bug report per ticket.


Comment 4 Daniel Berrange 2006-09-27 15:48:22 UTC
The 2nd issues reported in the 3rd comment is now fixed in
virt-manager-0.2.3-1.fc6 which will appear in next rawhide push



Note You need to log in before you can comment on or make changes to this bug.